Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1468 - Hanging during package scan phase of upgrade
Summary: Hanging during package scan phase of upgrade
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-10 08:05 UTC by jimcr
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-12 20:09:19 UTC


Attachments (Terms of Use)

Description jimcr 1999-03-10 08:05:05 UTC
Im unable to upgrade a 486-33 from RedHat 4.0 to RedHat
5.2.  Ive
tried both local CD-ROM and NFS install, in both cases the
process
hangs while "scanning packages".

Doing a local CD-ROM install:

Alt-F3: (last 2 lines before hang)
* making symlink from /tmp/rhimage to image
* psFromHeaderListDesc read 573 headers

Also FWIW, cdrom wouldnt eject without a power-down, with a
simple
reboot, the eject button doesnt work.


Doing NFS install, Alt-F4 says;

<4>NFS server 192.168.1.254 not responding, still trying
<4>NFS server 192.168.1.254 OK
<4>NFS server 192.168.1.254 not responding, still trying
<4>NFS server 192.168.1.254 OK
<4>Couldn't get a free page

192.168.1.254 is running Redhat 5.1, and NFS works between 2
machines
for normal boots.  I dont know what the free-page problem is
about,
but cant find any log-file entry that helps to explain it.
Last,
cdrom spun up just after NFS IPs were set during install,
pings from
.254 work to the .100 machine, ie the one doing upgrade.


In both cases Alt-F2 prompt was really sluggish (even for a
486), I
waited 15 minutes for a 'ps' before giving up.

Im using recently downloaed images
06012  1440 boot.img.new
65505  1440 supp.img.new

Comment 1 David Lawrence 1999-03-12 20:09:59 UTC
If your machine contains 8 megs of ram or less then that is what is
causing the problem. We are working on a solution to this and will
post an update when it is finished. Until then one possible workaround
is to upgrade the ram to at least 16 megs for the install process. You
can then downgrade back to 8 if needed after.


Note You need to log in before you can comment on or make changes to this bug.